
# DESIGN AND OPERATION OF TRAFFIC AND TELECOMMUNICATION NETWORKS
# Ralf Borndoerfer, FAbio d'Andreagiovanni, Jonad Pulaj
# FU Berlin, WS 2015
#
# Constrained Shortest Path Problem.
#
# Run as 'zimpl [-Dlambda=<%d> default 0.0] csp.zpl'.

# multiplier
param lambda := 0.0;

# sets 
set E := { read "edges.dat" as "<1s,2s>" comment "#" };	# directed!
set V := proj(E,<1>) union proj(E,<2>);

# parameters
param c[E]  := read "costs.dat" as "<1s,2s> 3n" comment "#";
param tt[E] := read "times.dat" as "<1s,2s> 3n" comment "#";

param s := "Apd";
param t := "Rtd";

# variables

# objective

# constraints



